/* 팝업 배경 레이어 */
.layer-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 9999; /* 더 높은 값으로 설정 */
    overflow: hidden; /* 배경에서 스크롤을 방지 */
}

/* 팝업 콘텐츠 */
.popup-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 350px;
    max-height: 80vh; /* 화면 크기에 맞게 최대 높이 설정 */
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    padding: 20px;
    overflow-y: auto; /* 콘텐츠가 너무 길면 스크롤 생기게 */
}

/* 닫기 버튼 */
.close-btn {
    position: absolute;
    top: 15px;
    right: 35px;
    font-size: 24px;
    cursor: pointer;
    z-index: 99999; 
}

.container {
    background: #fff;
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 350;
    max-height: calc(100vh - 40px); /* 화면 크기에 맞게 최대 높이 설정 */
    overflow-y: auto; /* 스크롤이 생기도록 */
}

label {
    display: block;
    margin: 10px 0 5px;
    font-weight: bold;
    font-size: 14px;
}

input, select {
    width: 100%;
    padding: 8px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 14px;
}

.card-number {
    display: flex;
    justify-content: space-between;
}

.card-number input {
    width: 22%;
    text-align: center;
}

.expiration {
    display: flex;
    justify-content: space-between;
}

.expiration input {
    width: 48%;
    text-align: center;
}

.notice {
    font-size: 12px;
    color: #777;
    margin-top: 10px;
}

.money_pay_btn {padding: 2rem 0; width: 100%; font-size: 1.6rem; font-weight: bold;}

.comBtn01 {border: 1px solid #FE508D; background: #FE508D; color: #fff; border-radius: 1rem; text-align: center;}


@media all and (max-width: 920px){
   
   .money_pay_btn {font-size: 1.6rem; padding: 1.8rem 0;}
   
   
}

